﻿using NetworkResurrector.Api.Domain.Models.InternalNotifications;
using System.Threading;
using System.Threading.Tasks;

namespace NetworkResurrector.Api.Application.Services.Abstractions
{
    public interface IMessageHubPublisher
    {
        Task Broadcast<T>(T message, CancellationToken cancellationToken = default) where T : class, IRealtimeMessage;
        Task Send<T>(T message, CancellationToken cancellationToken = default) where T : class, IRealtimeMessage;
        Task SendToUser<T>(T message, CancellationToken cancellationToken = default) where T : class, IRealtimeMessage;
    }
}
