﻿namespace NetworkResurrector.Api.Domain.Models.InternalNotifications
{
    public interface IRealtimeMessage { }

    public record RealtimeNotification<TPayload> where TPayload : IRealtimeMessage
    {
        public string Type { get; init; }
        public TPayload Payload { get; init; }
        public string SourceId { get; init; }

        public static RealtimeNotification<TPayload> Create(TPayload payload, string sourceId)
        {
            var type = typeof(TPayload).FullName ?? "UnknownType";
            return new RealtimeNotification<TPayload>
            {
                Type = type,
                Payload = payload,
                SourceId = sourceId
            };
        }
    }
}
