import { Tooltip, TooltipProps, styled } from "@mui/material";

const Hint = styled(({ className, ...props }: TooltipProps) => <Tooltip {...props} classes={{ popper: className }} />)(({ theme }) => ({
  [`& .MuiTooltip-tooltip`]: {
    backgroundColor: theme.palette.mode === "dark" ? "rgba(48, 48, 48, 0.95)" : "rgba(255, 255, 255, 0.95)",
    color: theme.palette.text.primary,
    border: `1px solid ${theme.palette.divider}`,
    backdropFilter: "blur(8px)",
    boxShadow: theme.shadows[8],
    //fontSize: theme.typography.body2.fontSize,
    borderRadius: theme.shape.borderRadius
  },
  [`& .MuiTooltip-arrow`]: {
    color: theme.palette.mode === "dark" ? "rgba(48, 48, 48, 0.95)" : "rgba(255, 255, 255, 0.95)",
    "&::before": {
      border: `1px solid ${theme.palette.divider}`
    }
  }
}));

export default Hint;
