export enum NotificationLevel {
  INFO = "info",
  SUCCESS = "success",
  WARNING = "warning",
  ERROR = "error"
}

export type AppNotificationPayload = {
  title?: string;
  content: string;
  author?: string;
  moment?: Date;
  level?: NotificationLevel;
};

export type AppNotification = {
  id: string;
  title?: string;
  content: string;
  author?: string;
  moment: Date;
  level: NotificationLevel;
  read: boolean;
};

export type EmailSentPayload = {
  to: string;
  machineName: string;
};
