import React from "react";
import { Box, Typography } from "@mui/material";
import { useRealtimeNotifications } from "units/notifications/hooks";

const ConnectionStatus: React.FC = () => {
  const { isConnected, connectionId } = useRealtimeNotifications();
  return (
    <Box sx={{ ml: 2, display: "flex", flexDirection: "column" }}>
      <Box sx={{ display: "flex", alignItems: "center" }}>
        <Typography variant="body2" sx={{ mr: 1 }}>
          Connection status:
        </Typography>
        <Box
          sx={{
            width: 10,
            height: 10,
            borderRadius: "50%",
            backgroundColor: isConnected ? "success.main" : "error.main"
          }}
        />
        <Typography variant="body2" sx={{ ml: 1 }}>
          {isConnected ? "Connected" : "Disconnected"}
        </Typography>
      </Box>
      {connectionId && (
        <Box sx={{ display: "flex", alignItems: "center", fontSize: "0.75rem", mt: 0.5 }}>
          <Typography variant="caption" sx={{ opacity: 0.8 }}>
            Connection ID: {connectionId}
          </Typography>
        </Box>
      )}
    </Box>
  );
};

export default ConnectionStatus;
