import React from "react";
import { Box, CircularProgress, Typography } from "@mui/material";
import { MAX_RETRY_ATTEMPTS } from "../constants";

type Props = {
  connectionAttempts: number;
};

const ConnectingBox: React.FC<Props> = ({ connectionAttempts }) => {
  return (
    <Box
      sx={{
        display: "flex",
        flexDirection: "column",
        alignItems: "center",
        justifyContent: "center",
        height: "100vh"
      }}
    >
      <CircularProgress />
      <Typography variant="body2" sx={{ mt: 2 }}>
        {connectionAttempts > 0
          ? `Establishing real-time connection... (Attempt ${connectionAttempts}/${MAX_RETRY_ATTEMPTS})`
          : "Establishing real-time connection..."}
      </Typography>
    </Box>
  );
};

export default ConnectingBox;
