import React from "react";
import { Box, Typography, Button } from "@mui/material";

type Props = {
  message: string;
  showActions: boolean;
  onRetry: () => void;
  onAgreeAndContinue: () => void;
};

const ErrorBox: React.FC<Props> = ({ message, showActions, onRetry, onAgreeAndContinue }) => {
  return (
    <Box sx={{ p: 3, textAlign: "center", color: "error.main" }}>
      <Typography variant="h6">SignalR connection error</Typography>
      <Typography variant="body1">{message}</Typography>
      <Typography variant="body2" sx={{ mt: 2, mb: 3 }}>
        The application might not function correctly without real-time updates.
      </Typography>
      {showActions && (
        <>
          <Button variant="contained" color="primary" onClick={onRetry} sx={{ mr: 2 }}>
            Retry connection
          </Button>
          <Button variant="contained" color="primary" onClick={onAgreeAndContinue}>
            Agree and continue
          </Button>
        </>
      )}
    </Box>
  );
};

export default ErrorBox;
