import { useContext } from "react";
import RealtimeNotificationsContext from "../RealtimeNotificationsContext";

const useRealtimeNotifications = () => {
  const context = useContext(RealtimeNotificationsContext);
  if (!context) {
    throw new Error("useRealtimeNotifications must be used within a RealtimeNotificationsProvider");
  }
  return context;
};

export default useRealtimeNotifications;
