export type ConnectionStartOptions = {
  onStart?: () => void;
  onError?: (error: unknown) => void;
  onSuccess?: () => void;
  onEnd?: () => void;
};

//export type RealtimeNotificationPayload = Record<string, any>;

export type RealtimeNotification<T = any> = {
  type: string;
  payload: T;
  sourceId?: string;
};

export type RealtimeNotificationListeners = { [key: string]: ((notification: RealtimeNotification) => void)[] };

export type UnsubscribeFn = () => void;
export type SubscribeFn = <T>(notificationType: string, callback: (notification: RealtimeNotification<T>) => void) => UnsubscribeFn;
export type PublishFn = <T>(notification: RealtimeNotification<T>) => void;
